IssuerAndSerialNumber (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class IssuerAndSerialNumber

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.IssuerAndSerialNumber

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class IssuerAndSerialNumber
      extends ASN1Object

  RFC 5652: IssuerAndSerialNumber object.

       IssuerAndSerialNumber ::= SEQUENCE {
           issuer Name,
           serialNumber CertificateSerialNumber
       }

       CertificateSerialNumber ::= INTEGER  -- See RFC 5280

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssuerAndSerialNumber(ASN1Sequence seq)` Deprecated. use getInstance() method.
    `IssuerAndSerialNumber(Certificate certificate)`
    `IssuerAndSerialNumber(X500Name name, java.math.BigInteger serialNumber)`
    `IssuerAndSerialNumber(X509CertificateStructure certificate)` Deprecated. use constructor taking Certificate
    `IssuerAndSerialNumber(X509Name name, ASN1Integer serialNumber)` Deprecated. use X500Name constructor
    `IssuerAndSerialNumber(X509Name name, java.math.BigInteger serialNumber)` Deprecated. use X500Name constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IssuerAndSerialNumber` | `getInstance(java.lang.Object obj)` Return an IssuerAndSerialNumber object from the given object.
    `X500Name` | `getName()`
    `ASN1Integer` | `getSerialNumber()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(ASN1Sequence seq)

      Deprecated. use getInstance() method.

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(Certificate certificate)

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X509CertificateStructure certificate)

      Deprecated. use constructor taking Certificate

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X500Name name,
                                       java.math.BigInteger serialNumber)

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X509Name name,
                                       java.math.BigInteger serialNumber)

      Deprecated. use X500Name constructor

    - #### IssuerAndSerialNumber

          public IssuerAndSerialNumber(X509Name name,
                                       ASN1Integer serialNumber)

      Deprecated. use X500Name constructor

  - ### Method Detail

    - #### getInstance

          public static IssuerAndSerialNumber getInstance(java.lang.Object obj)

      Return an IssuerAndSerialNumber object from the given object.

      Accepted inputs:

      - null → null
      - `IssuerAndSerialNumber` object
      - `ASN1Sequence` input formats with IssuerAndSerialNumber structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getName

          public X500Name getName()

    - #### getSerialNumber

          public ASN1Integer getSerialNumber()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.